Page MenuHomeFreeBSD

multimedia/shotcut: update to 22.06.23
ClosedPublic

Authored by vishwin on Mar 21 2022, 1:23 AM.

Details

Summary

Release notes: https://github.com/mltframework/shotcut/releases/tag/v22.06.23

Now uses multimedia/mlt7, removes webvfx support and more

Test Plan

Dogfooded, renders video (even with named bin/melt-7 rather than bin/melt). Will now have to coordinate updates since mlt and shotcut tend to release together.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 46665
Build 43554: arc lint + arc unit

Event Timeline

While here, deprecate multimedia/webvfx-qt5 as shotcut was its only consumer

multimedia/shotcut/Makefile
21–22

^as you're already touching this, could you sort it like

USE_QT= <build and run depends> \
                   <build_only_depends> \
                   <run_only_depends>
40–41

^ in app updates are supported?

multimedia/webvfx-qt5/Makefile
2

^ that's a bit too short -- I'd make it live until before the next quarterly is cut (Q3) -- so june-ish.

multimedia/shotcut/Makefile
40–41

The main UI flashes a "check for a new version of Shotcut" when one exists, so kind of

multimedia/webvfx-qt5/Makefile
2

If this new shotcut ends up in Q2 ie committed before the cut, webvfx should not follow it there

I tested this shotcut update and it worked perfectly for me. Nice work!

This revision is now accepted and ready to land.May 15 2022, 4:20 PM
This revision now requires review to proceed.May 15 2022, 4:29 PM
  • multimedia/webvfx-qt5: update expiration date
  • multimedia/shotcut: update to 22.06.23

apparently included stuff already committed?

vishwin retitled this revision from multimedia/shotcut: update to 22.01.30 to multimedia/shotcut: update to 22.06.23.Jul 28 2022, 6:56 AM
vishwin edited the summary of this revision. (Show Details)
multimedia/shotcut/Makefile
28

^ öh, do we allow in-app updates? -- wouldn't it make more sense to simply disable that functionallity if possible?

multimedia/webvfx-qt5/Makefile
0

^not strictly necessary

You can commit the changes to multimedia/webvfx-qt5 to the tree directly, not as part of this review.

2

^ I'd suggest to make it 2022-09-30 -- i.e. the end of Q3.

multimedia/shotcut/Makefile
28

Not able to be disabled, this is hardcoded into mainwindow.cpp

multimedia/webvfx-qt5/Makefile
0

Does not make sense to deprecate before shotcut update is committed, thus both should be committed together

2

Once shotcut update gets committed, there are no more consumers. This should have been removed long ago

multimedia/shotcut/Makefile
33–35

^ more a general idea to think about... not everyone is a native english speaker, and some prefer to have their applications in the native language. So shouldn't NLS be on by default?

multimedia/webvfx-qt5/Makefile
2

... so it should have been removed long ago, but it makes no sense to mark it a such... okay...

I'll let you think about it for a while...

multimedia/shotcut/Makefile
33–35

NLS is a default in the framework globally I'm pretty sure

multimedia/webvfx-qt5/Makefile
2

It doesn't make sense to deprecate or remove until any shotcut using mlt7 (which at the same time deprecated and removed webvfx from dependencies) gets committed in the tree.

  • multimedia/webvfx-qt5: remove entirely

date to reflect when this is actually committed

ship it, I guess

MOVED
17522

^sentence sounds a bit wrong there, like it were missing an 'it' at the end.

This revision is now accepted and ready to land.Jul 29 2022, 7:07 AM